Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.selftest
Class AltTestSuite

    java.lang.Object
      junit.framework.TestSuite
          org.archive.crawler.selftest.AltTestSuite

All Implemented Interfaces:
  junit.framework.Test

    public class AltTestSuite

extends junit.framework.TestSuite

Variant TestSuite that can build tests including methods with an alternate prefix (other than 'test'). Copies code from TestSuite because necessary methods to change are private rather than protected.

Version:
  $Id: MaxLinkHopsSelfTest.java 4667 2006-09-26 20:38:48 +0000 (Tue, 26 Sep 2006) paul_jack $
Author:
  gojomo

Field Summary
`(package private) java.lang.String` | `altPrefix` a method prefix other than 'test' that is also recognized as tests

Constructor Summary
`AltTestSuite(java.lang.Class theClass, java.lang.String prefix)` Constructs a TestSuite from the given class.

Method Summary

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### altPrefix

    java.lang.String altPrefix

  a method prefix other than 'test' that is also recognized as tests

Constructor Detail

### AltTestSuite

    public AltTestSuite(java.lang.Class theClass,
                        java.lang.String prefix)

  Constructs a TestSuite from the given class. Copied from superclass so that local alternate addTestMethod() will be visible, which in turn uses an isTestMethod() that accepts methods with the altPrefix in addition to 'test'.

  Parameters:
    `theClass` - Class from which to build suite
    `prefix` - alternate method prefix to also find test methods

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.